using GuessMobile.Framework.Logic;

namespace GuessMobile.ViewModels.Home
{
    /// <summary>
    /// Describes the model for the about page.
    /// </summary>
    public class SettingsViewModel : ViewModelBase
    {
        public SettingsViewModel()
        {
            CurrentSettings = new Settings(); 
        }

        /// <summary>
        /// Gets and sets the list of menu items to show in the home.
        /// </summary>
        public Settings CurrentSettings { get; set; }
    }
}