using System;
using GuessMobile.Framework.Helpers;
using GuessMobile.Framework.Logic;
using GuessMobile.ViewModels.Guess;
using GuessMobile.WorkerServices.Abstractions;

namespace GuessMobile.WorkerServices.Guess
{
    public class GuessService : IGuessService
    {
        public GameViewModel StartNewGame(Settings settings)
        {
            var state = new GameState(settings.GameLevel);
            var model = new GameViewModel { CurrentSettings = settings, State = state };
            return model;
        }

        public GameViewModel MakeAnAttempt(Settings settings, GameState state, Int32 number)
        {
            state.NewAttempt(number);
            var model = new GameViewModel {CurrentSettings = settings, State = state};
            return model;
        }
    }
}