package com.expoware.tweet;

import android.content.Context;
import android.net.ConnectivityManager;
import android.net.NetworkInfo;

public class HttpHelper {
    private static Context _context;

    public static void Initialize(Context context)
    {
        _context = context;
    }

    public static Boolean IsInternetAvailable()
    {
        ConnectivityManager cm = (ConnectivityManager) _context.getSystemService(Context.CONNECTIVITY_SERVICE);
        NetworkInfo ni = cm.getActiveNetworkInfo();
        if (ni != null && ni.isAvailable() && ni.isConnected())
            return true;
        return false;
    }
}
