package com.expoware.tweet;

public class LoginInfo {
    public LoginInfo()
    {
        this("", "", "");
    }
    public LoginInfo(String user, String token, String secret)
    {
        ScreenName = user;
        Token = token;
        TokenSecret = secret;
    }

    public String ScreenName;
    public String Token;
    public String TokenSecret;

    public Boolean IsValid()
    {
        return (Token != null && Token.length() >0 &&
                TokenSecret != null && TokenSecret.length() >0 &&
                ScreenName != null && ScreenName.length() >0);
    }
}
