using System;
using System.Collections.Generic;

namespace WurflPeek.ViewModels
{
    public class CapsViewModel
    {
        public CapsViewModel()
        {
            Device = new List<Capability>();
            Page = new List<Capability>();
            Script = new List<Capability>();
            Browser = new List<Capability>();
        }
        public IList<Capability> Device { get; set; }
        public IList<Capability> Page { get; set; }
        public IList<Capability> Script { get; set; }
        public IList<Capability> Browser { get; set; }
    }

    public class Capability
    {
        public String Name { get; set; }
        public String Value { get; set; }
    }
}