using MonoTouch.UIKit;
using System.Drawing;
using System;
using MonoTouch.Foundation;

namespace HelloWorld
{
	public partial class HelloWorldViewController : UIViewController
	{
		public HelloWorldViewController (string nibName, NSBundle bundle) : base (nibName, bundle)
		{
		}
		
		public override void DidReceiveMemoryWarning ()
		{
			// Releases the view if it doesn't have a superview.
			base.DidReceiveMemoryWarning ();
			
			// Release any cached data, images, etc that aren't in use.
		}
		
		public override void ViewDidLoad ()
		{
			base.ViewDidLoad ();
			
			//any additional setup after loading the view, typically from a nib.
			calcButton.TouchUpInside += HandleCalcButtonTouchUpInside;
			discountLabel.Text = "ciao";
		}

		void HandleCalcButtonTouchUpInside (object sender, EventArgs e)
		{
			if (String.IsNullOrEmpty(quantityTxt.Text) || String.IsNullOrEmpty(percentageTxt.Text))
			{
				var alert = new UIAlertView();
				alert.Title = "Enter some values...";
				alert.AddButton("OK");
				alert.Show();
			}
		}
		
		public override void ViewDidUnload ()
		{
			base.ViewDidUnload ();
			
			// Release any retained subviews of the main view.
			// e.g. myOutlet = null;
		}
		
		public override bool ShouldAutorotateToInterfaceOrientation (UIInterfaceOrientation toInterfaceOrientation)
		{
			// Return true for supported orientations
			return (toInterfaceOrientation != UIInterfaceOrientation.PortraitUpsideDown);
		}
	}
}
