using System;
using System.Collections.Generic;
using System.Net;
using System.Xml.Linq;

namespace Demo1
{
	public class StatisHelpers
	{
		public static IList<MatchItem> DownloadCurrentMatches1()
		{
			WebClient webClient = new WebClient();
            //webClient.DownloadStringCompleted += ParseString;          
			var xml = webClient.DownloadString(new Uri("http://www.expoware.org/statis/feed/matches?t=1"));
			return ParseString(xml);
			
		}
		
		private static IList<MatchItem> ParseString(string xml)
        {
			var list = new List<MatchItem>();
			var stringImage = string.Empty;
            var doc = XElement.Parse(xml);
            var matches = doc.Element("matches").Elements();
            var first = true;
            foreach(var n in matches)
            {
                if (!first)
                { 
					if (n.Value.Contains("vs"))
					    stringImage = "inprogress.png";
					else 
						stringImage = "winner.png";
                    var item = new MatchItem { Icon = stringImage, Text = n.Value };
                    list.Add(item);
                }
                first = false;                  
            }
			return list;
            //var nodes = matches.DescendantNodes();
        }
		
		public static List<MatchItem> DownloadCurrentMatches()
		{
			var list = new List<MatchItem>();
			var item1 = new MatchItem {Icon="winner.png", Text="Federer d. Nadal", Score="63 60"};
			list.Add(item1);
			var item2 = new MatchItem {Icon="inprogress.png", Text="Esposito vs. Contoso", Score="63 *55"};
			list.Add(item2);
			var item3 = new MatchItem {Icon="inprogress.png", Text="One/Two vs. Three/Four", Score="76(4) *13"};		
			list.Add(item3);
			return list;
		}
	}
}

