//
//  AppDelegate.m
//  Guess

#import "GuessAppDelegate.h"
#import "HomeViewController.h"

@implementation GuessAppDelegate

@synthesize window = _window, navigationController = _navigationController, player = _player;

- (BOOL)application:(UIApplication *)application didFinishLaunchingWithOptions:(NSDictionary *)launchOptions
{
    self.window = [[UIWindow alloc] initWithFrame:[[UIScreen mainScreen] bounds]];

	HomeViewController *homeViewController = [[HomeViewController alloc] initWithStyle:UITableViewStyleGrouped];
	self.navigationController = [[UINavigationController alloc] initWithRootViewController:homeViewController];
	self.navigationController.navigationBar.barStyle = UIBarStyleBlack;
//	self.window.rootViewController = self.navigationController;
	[self.window addSubview:self.navigationController.view]; // iOS 3.0 compatibility
    [self.window makeKeyAndVisible];
	
    return YES;
}

@end
