using System.Collections.Generic;
using GuessMobile.ViewModels.Helpers;

namespace GuessMobile.ViewModels.Home
{
    /// <summary>
    /// Describes the model for the about page.
    /// </summary>
    public class BestResultsViewModel : ViewModelBase
    {
        public BestResultsViewModel()
        {
            TrackedScores = new List<TrackedScore>(); 
        }

        /// <summary>
        /// Gets and sets the list of scores tracked by the system.
        /// </summary>
        public IList<TrackedScore> TrackedScores { get; set; }
    }
}