using System.Collections.Generic;
using GuessMobile.ViewModels.Helpers;

namespace GuessMobile.ViewModels.Home
{
    /// <summary>
    /// Describes the model for the home page.
    /// </summary>
    public class HomeViewModel : ViewModelBase
    {
        public HomeViewModel()
        {
            MenuItems = new List<MenuItem>();
        }

        /// <summary>
        /// Gets and sets the list of menu items to show in the home.
        /// </summary>
        public IList<MenuItem> MenuItems { get; set; }
    }
}