package com.expoware.tweet;

import android.content.Context;
import android.text.Editable;
import android.text.TextWatcher;
import android.widget.TextView;

public class MaxLengthTextWatcher implements TextWatcher
{
    private TextView _buddy;
    private Context _context;
    public MaxLengthTextWatcher(Context context, TextView buddy)
    {
        _buddy = buddy;
        _context = context;
    }
    public void afterTextChanged(Editable s)
    {
        int left = 140-s.length();
        if (left == 0)
            _buddy.setText(_context.getString(R.string.ui_nomorechars));
        else
            _buddy.setText(String.format("%s %s", left, _context.getString(R.string.ui_charleft)));
    }
    public void beforeTextChanged(CharSequence s, int start, int count, int after) {}
    public void onTextChanged(CharSequence s, int start, int before, int count) {}
}
