﻿var ResultsPage = function () {
    var that = {};


    // Initialize the UI
    that.initializeUI = function () {
        $("#tablePlaceholder").html(this._createTable());
    };

    that._createTable = function () {
        var table = "<table class='results-table' cellpadding='0' cellspacing='0'>" +
            "<thead class='results-thead'><th class='padded'>Player</th><th class='right'>Score</th><th>When</th></thead>";

        var scores = [{ Player: "P1", Score: "230", When: "yesterday" }, { Player: "XYZ", Score: "184", When: "3 days ago"}];

        for (i = 0; i < scores.length; i++) {
            var s = scores[i];
            var td1 = "<td class='mark padded underline' >" + s.Player + "</td>";
            var td2 = "<td class='right padded underline' >" + s.Score + "</td>";
            var td3 = "<td class='center padded underline' >" + s.When + "</td>";
            table = table + "<tr>" + td1 + td2 + td3 + "</tr>";
        };

        table = table + "<tfoot><tr><td colspan='3' class='padded verysmall'>Last update: " + new Date().toString() + "</td></tr></tfoot>";
        table = table + "</table>";

        return table;
    };

    return that;
};